
// WHEN ADDING NEW ID NUMBERS, DOUBLE CHECK THAT THE NUMBER USED IS UNIQUE AND NOT
// USED FOR ANOTHER COMPANY ID


/*

1000's	Imperial Guard Super Heavy Vehicles
1100's	Imperial Guard Vehicles
1200's	Imperial Guard Troops
2100's	Space Marine Vehicles
2200's	Space Marine Troops
3000's	Ork Super Heavy Vehicles
3100's	Ork Vehicles
3200's	Ork Troops
11000's	Imperial Guard Company Cards
11100's	Imperial Guard Support Cards
11200's	Imperial Guard Special Cards
12000's  Space Marine Company Cards
12100's	Space Marine Support Cards
12200's	Space Marine Spcial Cards
13000's	Ork Company Cards
13100's	Ork Support Cards
13200's	Ork Special Cards

CID	Card ID
SID	Special ID
TID	Titan ID
UID	Unit ID

IMP	Imperial
TG		Tech Guard

BRY	Battery
SQR	Squadron
PTN	Platoon
DTM	Detachment
CNY	Company
*/
// Flags
// Some of these will serve for now, but need to rewrite the
// card compilers to take care of these
#define FLAG_CARD_SPECIAL				0x00000001
#define FLAG_CARD_OFFBOARD				0x00000002

#define FLAG_CARD_GOFF					0x00010000
#define FLAG_CARD_BAD_MOON				0x00020000
#define FLAG_CARD_EVIL_SUNZ			0x00030000
#define FLAG_CARD_MEKBOY				0x00040000
#define FLAG_CARD_KULT_OF_SPEED		0x00050000
#define FLAG_CARD_NOBZ_WARBIKES		0x00060000
#define FLAG_ORK_ACTUAL_VALUES		0x00008000
#define FLAG_CARD_CLAN_MASK			0x00FF0000
#define FLAG_CARD_ONE_PER_COMPANY	0x00004000
#define FLAG_CARD_ONE_PER_ARMY		0x00002000

#define FLAG_SPECIAL_BEHAVIOR			0x80
#define CLAN_MORALE						-1
#define MORALE_SPECIAL					-2
#define ALLWAYS_PASS_MORALE			0

#define START_IMP_UNIT					1000
#define END_IMP_UNIT						1299
#define START_ORK_UNIT					2000
#define END_ORK_UNIT						2299

#define START_IMP_CNY_CARD				11000
#define END_IMP_CNY_CARD				11099
#define START_IMP_SUP_CARD				11100
#define END_IMP_SUP_CARD				11199


// Imperial Company
#define CID_IMP_HEAVY_CNY				11000
#define CID_IMP_ASSAULT_CNY			11002
#define CID_IMP_TACTICAL_CNY			11004
#define CID_IMP_ARTILLERY_CNY			11006
#define CID_LEMAN_RUSS_CNY				11008
#define CID_PREDATOR_CNY				11010
#define CID_VINDICATOR_CNY				11012
#define CID_BANEBLADE_CNY				11014
#define CID_SHADOW_SWORD_CNY			11016
#define CID_STORM_HAMMER_CNY			11018
#define CID_REAVER_BATTLE_GRP			11020
#define CID_WARLORD_BATTLE_GRP		11022
#define CID_KNIGHT_HLD					11024
#define CID_TG_DEFENCE_CNY				11026

// Imperial Supports
#define CID_COMMISSAR					11100
#define CID_LAND_SPEEDER_SQR			11102
#define CID_THUDD_GUN_BRY				11104
#define CID_MANTICORE_BRY				11106
#define CID_CHIMERA_SQR					11108
#define CID_ROUGH_RIDER_SQR			11110
#define CID_IMP_ASSAULT_PTN			11112
#define CID_IMP_SUPPORT_PTN			11114
#define CID_IMP_TACTICAL_PTN			11116
#define CID_STORM_HAMMER				11118
#define CID_SHADOW_SWORD				11120
#define CID_BANEBLADE					11122
#define CID_LEVIATHAN					11123
#define CID_BASILISK_BRY				11124
#define CID_DEATHSTRIKE_BRY			11126
#define CID_BOMBARD_BRY					11128
#define CID_LEMAN_RUSS_SQR				11130
#define CID_HELLHOUND_SQR				11132
#define CID_VINDICATOR_SQR				11134
#define CID_WHIRLWIND_SQR				11136
#define CID_PREDATOR_SQR				11138
#define CID_LAND_RAIDER_SQR			11139
#define CID_KNIGHT_PALADIN_DTM		11140
#define CID_TG_HEAVY_MECH_PTN			11142
#define CID_TG_HEAVY_PTN				11144
#define CID_WARHOUND_TITAN_DTM		11146
#define CID_THUNDERHAWK					11148
#define CID_SPM_SCOUT_DTM				11150
#define CID_WARHOUND_REAVER_DTM		11152
#define CID_MARAUDER_SQR				11153
#define CID_WARHOUND_WARLORD_DTM		11154
#define CID_HYDRA_DTM					11155
#define CID_RHINO                   11156
#define CID_DEMOLISHER					11157

//Nation Specific Infantry
#define CID_MORDIAN_ASSAULT_PTN			11158
#define CID_MORDIAN_HEAVY_PTN			   11160
#define CID_MORDIAN_TACTICAL_PTN			11162
#define CID_MORDIAN_COMMAND_PTN			11163
#define CID_TALLARN_ASSAULT_PTN			11164
#define CID_TALLARN_HEAVY_PTN			   11166
#define CID_TALLARN_TACTICAL_PTN			11168
#define CID_TALLARN_COMMAND_PTN			11169
#define CID_CATACHAN_ASSAULT_PTN			11170
#define CID_CATACHAN_HEAVY_PTN			11172
#define CID_CATACHAN_TACTICAL_PTN		11174
#define CID_CATACHAN_COMMAND_PTN			11175

// Imperial Specials
#define SID_LEVIATHAN					11200
#define SID_COMMISSAR_YARRICK			11202
#define SID_2_WARHOUNDS					11204
#define SID_REAVER						11206
#define SID_WARLORD						11208
#define SID_IMPERATOR					11210

// Ork Specials
#define SID_MEGA_GARGANT				13200
#define SID_SLASHER_GARGANT			13202
#define SID_GREAT_GARGANT				13204
#define SID_MEKBOY_GARGANT				13206
#define SID_GARGANT_BIG_MOB			13208
#define SID_RENEGADE_MEKBOYZ			13210
#define SID_GHAZGHKULL_THRAKA			13212

#define CID_BAD_MOON_CLAN				13000
#define CID_EVIL_SUNZ_CLAN				13002
#define CID_GOFF_CLAN					13004
#define CID_KULT_OF_SPEED				13006
#define CID_BOWELBURNA_SQR				13104
#define CID_GRETCHIN_MOB				13106
#define CID_STORMBOYZ_KORPS			13108
#define CID_BONECRUNCHA_SQR			13110
#define CID_BONEBREAKA_SQR				13112
#define CID_STOMPERS_MOB				13114
#define CID_WEIRDBOY_TOW				13116
#define CID_LIFTA_DROPPA				13118
#define CID_PULSA_ROKKIT_BRY			13120
#define CID_BUBBLE_CHUKKA				13122
#define CID_DRAGSTER						13124
#define CID_GOBSMASHA_SQR				13126
#define CID_SPLEENRIPPA_SQR			13128
#define CID_GUTRIPPA_SQR				13130
#define CID_LUNGBURSTA_SQR				13132
#define CID_GIBLETGRINDA				13134
#define CID_WILDBOYZ_MOB				13136
#define CID_MADBOYZ_MOB					13138
#define CID_BIKEBOYZ_MOB				13140
#define CID_NOBZ_WARBIKES				13142
#define CID_WAR_BUGGY_SQR				13144
#define CID_BATTLEWAGON_SQR			13146
#define CID_ES_NOBZ						13148
#define CID_BM_NOBZ						13150
#define CID_G_NOBZ						13152
#define CID_ES_BOYZ						13154
#define CID_BM_BOYZ						13156
#define CID_G_BOYZ						13158
#define CID_WARBOSS                 13159
#define CID_SPEEDSTA						13160
#define CID_FIGHTA_BOMMERZ_SQR		13161
#define CID_KUSTOMKANNON				13162
#define CID_FLAKWAGON_SQR				13163

#define CID_GREAT_GARGANT				13164
#define CID_MEKBOY_GARGANT				13166
#define CID_GARGANT_BIG_MOB			13168
#define CID_SLASHER_GARGANT         13170  
