#define	MAX_WEAPONS	(10)	// maximum number of weapons in array
#define	MAX_UNIT_NAME (20)	// string length of unit name

/*
	FLAG_UNIT_CAVALRY and FLAG_UNIT_BIKES are given separate ID's although
	they correspond to the same movement.  This allows them to be categorized
	differently in the TROOP vs VEHICLE category.
*/
#define	FLAG_UNIT_MASK_TYPE		0x000000F0
#define	FLAG_UNIT_TYPE_SHIFT		4
#define	FLAG_UNIT_INFANTRY		0x00000010
#define	FLAG_UNIT_WALKER			0x00000020
#define	FLAG_UNIT_CAVALRY			0x00000030
#define	FLAG_UNIT_KNIGHTS			0x00000040
#define	FLAG_UNIT_VEHICLES		0x00000050
#define	FLAG_UNIT_SUPER_HEAVY	0x00000060
#define	FLAG_UNIT_TITAN			0x00000070
#define	FLAG_UNIT_BIKES			0x00000080
#define	FLAG_UNIT_FLYER			0x00000090
#define	FLAG_UNIT_HAS_CRITS		0x00000100
#define	FLAG_UNIT_CHOOSE			0x00000200
#define  FLAG_NO_ADVANCE         0x00000400
#define  FLAG_HAS_FOOTPRINT		0x00000800
#define  FLAG_SPECIAL_SPEED		0x00001000
#define  FLAG_UNIT_TRANSPORT		0x00002000	/* Carries troops */
#define  FLAG_OFFBOARD				0x00004000	/* Units are off board strikes */
#define  FLAG_MELEE_BONUS			0x00008000  /* Units receive extra die in melee */
#define  FLAG_MELEE_OVERRUN		0x00010000  /* Units may "roll" over infantry */
#define  FLAG_STUBBORN           0x00020000  /* Units re-roll failed morale */
#define  FLAG_SEPARATE_MELEE		0x00040000  /* Units have a Melee specific weapon in slot 1 */
#define  FLAG_LEAVES_NOBLOCKAGE	0x00080000  /* Does not leave BLOCKED terrain behind when dead */

#define	FLAG_UNIT_MISSLE			0x10000000
#define  FLAG_UNIT_MORALE_BONUS	0x20000000
#define  FLAG_UNIT_JET_PACKS		0x40000000

#define	VOID_SHIELD					1
#define	POWER_FIELD					2
#define	GARGANT_POWER_FIELD		3
#define	MEKBOY_KUSTOM_FIELD		4

// Critical Hit defines

#define CRIT_DAMAGE				  -1
#define CRIT_NOTHING					0
#define CRIT_MOVEMENT				1
#define CRIT_WEAPONS					2
#define CRIT_SYSTEMS					3
#define CRIT_TRANSPORTS				4
// #define CRIT_                    5

#define CRIT_DAMAGED					0
#define CRIT_DESTROYED				1


// IMPERIAL SUPER HEAVY VEHICLES
#define UID_STORM_HAMMER	1000
#define UID_SHADOW_SWORD  	1002
#define UID_LEVIATHAN 		1004
#define UID_BANEBLADE 		1006
                 
// IMPERIAL VEHICLES
#define UID_BASILISK 		1100
#define UID_BOMBARD			1102
#define UID_CHIMERA 			1104	
#define UID_DEATHMISSLE 	1105
#define UID_DEATHSTRIKE 	1106
#define UID_HELLHOUND 		1108
#define UID_LEMAN_RUSS    	1110
#define UID_DEMOLISHER     1111
#define UID_MANTICORE 		1112
#define UID_PREDATOR      	1114
#define UID_RHINO 			1116
#define UID_VINDICATOR 		1118
#define UID_WHIRLWIND 		1120
#define UID_HYDRA				1122
                 
// IMPERIAL TROOPS
#define UID_ROUGH_RIDER 	1200
#define UID_COMMISSAR 		1202
#define UID_YARRICK 			1204
#define UID_KNIGHT 			1206
#define UID_MORDIAN_TAC		1208
#define UID_JUNGLE_ASLT	  11210
#define UID_TALLARN_HVY		1212
#define UID_JUNGLE_CAP 		1214
#define UID_MORDIAN_CAP 	1216
#define UID_TALLARN_CAP 	1218
#define UID_THUDD_GUN     	1220
#define UID_PLANET_GRD		1222
#define UID_MORDIAN_ASLT  11208
#define UID_JUNGLE_TAC 		1210 //1226
#define UID_TALLARN_TAC		1228
#define UID_MORDIAN_HVY		1230
#define UID_JUNGLE_HVY 		1232
#define UID_TALLARN_ASLT  11228

// Imperial Titan
#define	TID_WARHOUND		1500
#define	TID_REAVER			1502
#define	TID_WARLORD			1504
//#define	TID_IMPERATOR		1506

//Titan Missle Unit IDs
#define UID_TTN_WARP_MSL      3581
#define UID_TTN_BARR_MSL      3579

// SPACE MARINE VEHICLES
#define UID_LAND_SPEEDER			2100
#define UID_LAND_SPEEDER_SHADOW	2101

#define UID_THUNDERHAWK 			2102
#define UID_THUNDERHAWK_SHADOW	2103

#define UID_MARAUDER    	 		2104
#define UID_MARAUDER_SHADOW		2105
#define UID_LAND_RAIDER          2108

// SPACE MARINE TROOPS
#define UID_SPM_SCOUT 		2200
#define UID_MARINE_HQ 		2202

// ORK SUPER HEAVY VEHICLES
#define UID_GIBLETGRINDA 	3000
#define UID_STOMPER 			3002

// ORK VEHICLES
#define UID_CHOOSE_MEKBOY	3199
#define UID_BATTLEWAGON 	3100
#define UID_BONEBREAKA 		3102
#define UID_BONECRUNCHA 	3104
#define UID_BUBBLE_CHUKKA 	3106
#define UID_BOWELBURNA 		3108
#define UID_GOBSMASHA 		3110
#define UID_SPLEENRIPPA 	3112
#define UID_GUTRIPPA 		3114
#define UID_LIFTA_DROPPA 	3116
#define UID_LUNGBURSTA 		3118
#define UID_DRAGSTER 		3120
#define UID_PULSA_ROKKIT 	3122
#define UID_SPEEDSTA 		3124
#define UID_KUSTOMKANNON   3125
#define UID_WAR_BUGGY 		3126
#define UID_WEIRDBOY_TOW 	3128
#define UID_FIGHTA_BOMMERZ			 3130
#define UID_FIGHTA_BOMMERZ_SHADOW 3131
#define UID_FLAKWAGON		3132

// Ork Troop Types
#define UID_NOBZ_WARBIKES 	3200
#define UID_BIKEBOYZ 		3202
#define UID_STORMBOYZ 		3204
#define UID_GRETCHIN 		3206
#define UID_MADBOYZ 			3208
#define UID_EVIL_SUNZ 		3210
#define UID_BAD_MOONS 		3212
#define UID_GOFFS 			3214
#define UID_ES_NOBZ 			3216
#define UID_BM_NOBZ 			3218
#define UID_G_NOBZ 			3220
#define UID_GHAZGHKULL 		3222
#define UID_WILDBOYZ			3224

// Ork Titans
//#define	TID_MEGA_GARGANT		3500
#define	TID_GREAT_GARGANT		3502
#define	TID_SLASHER_GARGANT	3504
#define	TID_MEKBOY_GARGANT	3506

// New Chaos Khorne units
#define UID_WORLD_EATERS      4000
#define UID_BLOOD_LETTERS     4002
#define UID_LORD_OF_BATTLE    4004
#define UID_LAND_RAIDER_CHAOS 4006
#define UID_PREDATOR_CHAOS    4008
#define UID_RHINO_CHAOS       4010
#define UID_HYDRA_CHAOS       4012
#define UID_CANNON_OF_KHORNE  4014
#define UID_BANELORD          4016
